create or replace
PACKAGE
---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/dictionary/wm_scenarioupdate_pkg.sql BL_core_schema_8.0.7_8.0.7.2.02_20091208  043145
-- (#) 
--
WM_SCENARIOUPDATE AS

-- File declarations
   rpt_file2            utl_file.file_type;

   -- All local variables (not tied to a database field)
   rpt_line2                  VARCHAR2(5000);

PROCEDURE addInstance(pInstanceKey	IN	WMN_INSTANCE_CONTEXT.FULLKEY%TYPE,
		      pEntityName	IN	WMN_ENTITY.ENTITY_NAME%TYPE,
		      pScenario	        IN	PM_SCENARIO.NAME%TYPE,
              pFolderPath	IN	VARCHAR2,
              retcode           OUT     NUMBER);



FUNCTION validateFullKey(pInstanceKey	WMN_INSTANCE_CONTEXT.FULLKEY%TYPE,
    							pEntityId	WMN_ENTITY.ENTITY_ID%TYPE) RETURN WMN_INSTANCE.INSTANCE_ID%TYPE;


FUNCTION validateScenario(pScenario	PM_SCENARIO.NAME%TYPE,
							pFolderId	IN pm_folder.id%TYPE) RETURN PM_SCENARIO.QUERY_ID%TYPE;

FUNCTION getFolderIdByPath(pFolderPath VARCHAR2) RETURN NUMBER ;

FUNCTION checkexistence(pInstanceid IN wmn_instance.instance_id%TYPE,
                           pEntityid    IN wmn_entity.entity_id%TYPE,
                           pScenarioqueryid IN pm_scenario.query_id%TYPE)
  RETURN BOOLEAN;

PROCEDURE updateScenarioXML(pInstanceId		WMN_INSTANCE.INSTANCE_ID%TYPE,
                          		pEntityId		WMN_ENTITY.ENTITY_ID%TYPE,
                          		pScenarioQueryId	WMQ_QUERY.QUERY_ID%TYPE);


FUNCTION getFilterCData(pXMLin CLOB) RETURN CLOB;
FUNCTION setfiltercdata(pxmlin CLOB, pCDataIn CLOB) RETURN CLOB;

FUNCTION getUnlinkedCData(pXMLin  CLOB) RETURN CLOB;
FUNCTION setunlinkedcdata(pxmlin CLOB, pCDataIn CLOB) RETURN CLOB;

PROCEDURE walkUpentitytree(pinstanceid IN wmn_instance.instance_id%TYPE,
                           pentityId IN wmn_entity.entity_id%TYPE,
                           pscenarioqueryid IN wmq_query.query_id%TYPE);


PROCEDURE walkDownentitytree(pinstanceid IN wmn_instance.instance_id%TYPE,
                           pscenarioqueryid IN wmq_query.query_id%TYPE);

PROCEDURE excludeSiblings(pParentInstanceid IN wmn_instance.instance_id%TYPE,
                           pEntityId IN wmn_entity.entity_id%TYPE,
                           pscenarioqueryid IN wmq_query.query_id%TYPE);


FUNCTION addInstancetoFilterCData(pCData CLOB,
  								  pinstanceid IN wmn_instance.instance_id%TYPE) RETURN CLOB;
FUNCTION excludeInstancetoFilterCData(pCData CLOB,
  								pParentinstanceid IN wmn_instance.instance_id%TYPE) RETURN CLOB;
FUNCTION addInstancetoUnlinkedCData(pCData CLOB,
  								pinstanceid IN wmn_instance.instance_id%TYPE) RETURN CLOB;

FUNCTION getXML(pScenarioQueryId IN wmq_query.query_id%TYPE,
                    pEntityId	WMN_ENTITY.ENTITY_ID%TYPE) RETURN CLOB;

PROCEDURE saveXML(pXML CLOB,
  					pscenarioqueryid IN wmq_query.query_id%TYPE,
                    pEntityId	WMN_ENTITY.ENTITY_ID%TYPE);

PROCEDURE backupScenario(pFolderpath IN VARCHAR2,
                           pscenario IN PM_SCENARIO.NAME%TYPE,
                           retcode   OUT     NUMBER);

PROCEDURE restoreScenario(pfile IN PM_SCENARIO.NAME%TYPE,
                          retcode   OUT     NUMBER);

PROCEDURE log_msg        (p_msg_txt     IN VARCHAR2 DEFAULT NULL);

END WM_SCENARIOUPDATE;
/
SHOW ERRORS