---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/migrate/upgrades/sql/Pweb/upgrade_views.sql BL_core_schema_8.0.7_8.0.7.2.02_20091208  043145
-- (#) 
--

PROMPT START PWEB upgrade_views.sql

-- Use actual view files to eliminate cut/paste errors.  Code highly re-runnable
PROMPT
PROMPT Updating agentSchemaViews...
@ $FLEXPM_HOME/vendor/EnterpriseTrafficCache/agentSchemaViews.sql

PROMPT
PROMPT Updating performanceMonitorSchemaViews...
@ $FLEXPM_HOME/vendor/EnterpriseTrafficCache/performanceMonitorSchemaViews.sql

PROMPT
PROMPT Updating reportSchemaViews...
@ $FLEXPM_HOME/vendor/EnterpriseTrafficCache/reportSchemaViews.sql

PROMPT
PROMPT Updating cacheSchemaViews...
@ $FLEXPM_HOME/vendor/EnterpriseTrafficCache/cacheSchemaViews.sql

BEGIN

--  af_datasource_vw.sql

run_sql(' CREATE OR REPLACE VIEW af_datasource_vw AS '
|| '  SELECT da.datasource_access_id, '
|| '         da.datasource_access_name, '
|| '         da.jndi_name,  '
|| '         da.dao_class_name, '
|| '         da.db_object_name, '
|| '         da.access_config, '
|| '         da.kpi_name, '
|| '         da.kpi_heading1, '
|| '         da.kpi_heading2, '
|| '         da.chartable, '
|| '         dc.category_name '
|| '    FROM af_datasource_access da, af_datasource_category dc '
|| '   WHERE da.datasource_category_id = dc.datasource_category_id (+) ');

run_sql('CREATE OR REPLACE VIEW ViewSettingsChart_vw AS '
|| '  SELECT a.view_setting_id    view_setting_id, '
|| '         a.report_result_id   report_result_id, '
|| '         a.section_id         section_id, '
|| '         a.rollup_level       rollup_level, '
|| '         a.output_format      output_format, '
|| '         a.expanded_state     expanded_state, '
|| '         b.view_style         view_style, '
|| '         b.chart_type         chart_type, '
|| '         b.chart_width        chart_width, '
|| '         b.chart_height       chart_height, '
|| '         b.show_legend        show_legend, '
|| '         b.show_hints         show_hints, '
|| '         b.show_limits        show_limits '
|| '    FROM pe_view_setting       a, '
|| '         pe_view_setting_chart b '
|| '   WHERE a.view_setting_id = b.view_setting_id');

END;
/

PROMPT END PWEB upgrade_views.sql DONE
